User

## Classes

struct | FIX::DateTime
class | FIX::UtcTimeStamp
| Date and Time represented in UTC. More...
class | FIX::LocalTimeStamp
| Date and Time represented in local time. More...
class | FIX::UtcTimeOnly
| Time only represented in UTC. More...
class | FIX::LocalTimeOnly
| Time only represented in local time. More...
class | FIX::UtcDate
| Date only represented in UTC. More...
class | FIX::LocalDate
| Date only represented in local time. More...
class | FIX::ThreadedSocketInitiator
| Threaded Socket implementation of Initiator. More...

## Functions

bool | FIX::operator== (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator!= (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator< (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator> (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator<= (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator>= (const DateTime &lhs, const DateTime &rhs)
int | FIX::operator- (const DateTime &lhs, const DateTime &rhs)
| Calculate the difference between two DateTime values and return the result as a number of seconds. More...

## Variables

static const int | FIX::PRECISION_FACTOR [10] = {1000000000, 100000000, 10000000, 1000000, 100000, 10000, 1000, 100, 10, 1}
| Date and Time stored as a Julian day number and number of nanoseconds since midnight. More...

## Detailed Description

## Function Documentation

## operator!=()

bool FIX::operator!= | ( | const DateTime & | lhs,
|  | const DateTime & | rhs
| ) |  |

inline

Definition at line 558 of file FieldTypes.h.

{
return !(lhs == rhs || lhs < rhs);
}

## operator-()

int FIX::operator- | ( | const DateTime & | lhs,
|  | const DateTime & | rhs
| ) |  |

inline

Calculate the difference between two DateTime values and return the result as a number of seconds.

Definition at line 591 of file FieldTypes.h.

: DateTime( DateTime::nowUtc() )
{
setHMS( hour, minute, second, millisecond );
}
UtcTimeStamp( int hour, int minute, int second, int fraction, int precision )

References FIX::DateTime::setHMS().

## operator<()

bool FIX::operator< | ( | const DateTime & | lhs,
|  | const DateTime & | rhs
| ) |  |

inline

Definition at line 563 of file FieldTypes.h.

{
return lhs == rhs || lhs < rhs;
}
inline bool operator>=( const DateTime& lhs, const DateTime& rhs )
{
return lhs == rhs || lhs > rhs;
}

## operator<=()

bool FIX::operator<= | ( | const DateTime & | lhs,
|  | const DateTime & | rhs
| ) |  |

inline

Definition at line 579 of file FieldTypes.h.

: public DateTime

## operator==()

bool FIX::operator== | ( | const DateTime & | lhs,
|  | const DateTime & | rhs
| ) |  |

inline

Definition at line 553 of file FieldTypes.h.

{

## operator>()

bool FIX::operator> | ( | const DateTime & | lhs,
|  | const DateTime & | rhs
| ) |  |

inline

Definition at line 574 of file FieldTypes.h.

{
return (DateTime::SECONDS_PER_DAY * (lhs.m_date - rhs.m_date) +
// Truncate the nanos before subtracting

References FIX::DateTime::NANOS_PER_SEC, and FIX::DateTime::SECONDS_PER_DAY.

## operator>=()

bool FIX::operator>= | ( | const DateTime & | lhs,
|  | const DateTime & | rhs
| ) |  |

inline

Definition at line 584 of file FieldTypes.h.

:
UtcTimeStamp()
: DateTime( DateTime::nowUtc() ) {}

## Variable Documentation

## PRECISION_FACTOR

const int FIX::PRECISION_FACTOR[10] = {1000000000, 100000000, 10000000, 1000000, 100000, 10000, 1000, 100, 10, 1}

static

Date and Time stored as a Julian day number and number of nanoseconds since midnight.

Does not perform any timezone calculations. All magic numbers and related calculations have been taken from:

See also
  http://www.faqs.org/faqs/calendars.faq
  http://scienceworld.wolfram.com/astronomy/JulianDate.html
  http://scienceworld.wolfram.com/astronomy/GregorianCalendar.html
  http://scienceworld.wolfram.com/astronomy/Weekday.html

Author
  Caleb Epstein <caleb.epstein at gmail dot com>

Definition at line 75 of file FieldTypes.h.

FIX::TYPE::UtcTimeStamp
@ UtcTimeStamp
Definition: FieldTypes.h:940
FIX::operator>=
bool operator>=(const DateTime &lhs, const DateTime &rhs)
Definition: FieldTypes.h:584